### Hierarchy

- Store
  - MemoryCookieStore

## Index

### Methods

- findCookie
- findCookies
- getAllCookies
- putCookie
- removeCookie
- removeCookies
- updateCookie

## Methods

### findCookie

- findCookie(domain: string, path: string, key: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:227

  #### Parameters

  - ##### domain: string

  - ##### path: string

  - ##### key: string

  - ##### cb: function

    - - (err: Error | null, cookie: Cookie | null): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookie: Cookie | null

        #### Returns void

### findCookies

- findCookies(domain: string, path: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:229

  #### Parameters

  - ##### domain: string

  - ##### path: string

  - ##### cb: function

    - - (err: Error | null, cookie: Cookie[]): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookie: Cookie[]

        #### Returns void

### getAllCookies

- getAllCookies(cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:239

  #### Parameters

  - ##### cb: function

    - - (err: Error | null, cookie: Cookie[]): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookie: Cookie[]

        #### Returns void

### putCookie

- putCookie(cookie: Cookie, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:231

  #### Parameters

  - ##### cookie: Cookie

  - ##### cb: function

    - - (err: Error | null): void

      - #### Parameters

        - ##### err: Error | null

        #### Returns void

### removeCookie

- removeCookie(domain: string, path: string, key: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:235

  #### Parameters

  - ##### domain: string

  - ##### path: string

  - ##### key: string

  - ##### cb: function

    - - (err: Error | null): void

      - #### Parameters

        - ##### err: Error | null

        #### Returns void

### removeCookies

- removeCookies(domain: string, path: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:237

  #### Parameters

  - ##### domain: string

  - ##### path: string

  - ##### cb: function

    - - (err: Error | null): void

      - #### Parameters

        - ##### err: Error | null

        #### Returns void

### updateCookie

- updateCookie(oldCookie: Cookie, newCookie: Cookie, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:233

  #### Parameters

  - ##### oldCookie: Cookie

  - ##### newCookie: Cookie

  - ##### cb: function

    - - (err: Error | null): void

      - #### Parameters

        - ##### err: Error | null

        #### Returns void

Generated using TypeDoc